package com.chenyang.druid.sql.dialect.mariadb.ast.expr;

import com.chenyang.druid.sql.ast.SQLCommentHint;
import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.dialect.mariadb.ast.MariadbObjectImpl;

public abstract class MariadbExprImpl extends MariadbObjectImpl implements SQLExpr {
   protected SQLCommentHint hint;

   public SQLExpr clone() {
      throw new UnsupportedOperationException();
   }

   public SQLCommentHint getHint() {
      return this.hint;
   }

   public void setHint(SQLCommentHint hint) {
      this.hint = hint;
   }
}
